1. Prescreen
Solido APIs
  • Plus1 API
    • Auth
      • Create JWT token.
    • Bid
      • Update existing bid.
      • Get Bid by id.
      • Search for bids.
      • Reject a bid.
      • Request a bid.
      • Accept a bid.
    • Prescreen
      • Prescreen loan applications in Sweden and Norway.
        POST
    • Schemas
      • Microsoft.AspNetCore.Mvc.ProblemDetails
      • Nstart.Broker.Application.Resources.BidCriteriaAndBidResource
      • Nstart.Broker.Application.Resources.JwtTokenResource
      • Nstart.Broker.Application.Resources.SearchBidCriteriaResource
      • Nstart.Web.Extensions.Exceptions.CustomApiError
      • WebApi.Controllers.CreateBid.BidCreatedModel
      • WebApi.Controllers.CreateBid.BidModel
      • WebApi.Controllers.Prescreen.PrescreenModel
      • WebApi.Controllers.Prescreen.PrescreenResultModel
      • WebApi.Controllers.SearchBid.SearchBidCriteriaModel
      • WebApi.Controllers.UpdateBid.UpdateBidModel
      • WebApi.Models.ApplicantModel
  • Plus1 Bid Webhook
    • Receive Plus1 bid status update
      POST
    • Schemas
      • Plus1BidStatusWebhook
      • Plus1BidStatusCommon
      • Plus1SentBidStatus
      • Plus1DeclinedBidStatus
      • Plus1WithdrawnBidStatus
      • Plus1ExpiredBidStatus
      • Plus1DisbursedBidStatus
      • Plus1RejectedBidStatus
  1. Prescreen

Prescreen loan applications in Sweden and Norway.

Staging Env
Staging Env
POST
/v{version}/prescreen

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Header Params

Body Params
application/json-patch+json

Examples

Responses

🟢200
application/json
Success
Body

🟠400
🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v/prescreen' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--data '{
    "address": "string",
    "birthDate": "2019-08-24T14:15:22.123Z",
    "brokerReferenceId": "string",
    "careOf": "string",
    "city": "string",
    "clientIpAddress": "string",
    "countryCode": "st",
    "email": "string",
    "employedSince": "2019-08-24T14:15:22.123Z",
    "employedTo": "2019-08-24T14:15:22.123Z",
    "employerName": "string",
    "firstName": "string",
    "hasCoApplicant": true,
    "housingType": "string",
    "lastName": "string",
    "livingCost": 0,
    "maritalStatus": "string",
    "mobilePhone": "string",
    "monthlyIncomeAfterTax": 0,
    "monthlyIncomeBeforeTax": 0,
    "nbrOfChildren": 0,
    "occupation": "string",
    "productType": "string",
    "psd2": "string",
    "purpose": "string",
    "repaymentTime": 24,
    "ssn": "string",
    "totalLoanAmount": 0,
    "totalRefinanceAmount": 0,
    "zip": "string"
}'
Response Response Example
200 - Example 1
{
    "accept": true,
    "brokerReferenceId": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "processedAt": "2019-08-24T14:15:22.123Z"
}
Modified at 2026-08-27 14:26:45
Previous
Accept a bid.
Next
Microsoft.AspNetCore.Mvc.ProblemDetails
Built with